Bug 63080 - no version-independent symlink name created
no version-independent symlink name created
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: docbook-utils (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-09 17:52 EDT by sds
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:08:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sds 2002-04-09 17:52:44 EDT
there should be a symlink from utils-0.6.9/ to util/
in /usr/share/sgml/docbook/.
i.e., the post-install script for docbook-utils should contain a line

cd /usr/share/sgml/docbook/ && ln -s utils-0.6.9 utils

otherwise the customization style sheets have to use a version-dependent path.
Comment 1 Tim Waugh 2002-04-10 02:53:32 EDT
Really it's expected that applications that want to use a different stylesheet 
customization than the one provided will provide their own.  The sheet that 
docbook-utils provides is a customization layer already, and it builds on a 
stylesheet that has a public identifier. 
 
I see where you're coming from though: xmlto has a facility for adding in a 
stylesheet 'fragment' to whatever will be used by default---but that's for 
XSL. 
 
Perhaps the same thing should be done for docbook-utils, if it's possible to 
do with DSSSL.
Comment 2 Bill Nottingham 2006-08-07 15:50:15 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 13:08:42 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.